<template>
    <h2 class="ui dividing header">Listado Tareas</h2>
    <div class="ui stacked segment">
        <div class="fields"> 
            <div class="nine wide field">
                <select class="ui fluid dropdown" value.bind="tarea.FiltroResponsable">
                    <option model.bind="0">Seleccionar Responsable</option>
                    <option repeat.for="item of responsable.ListadoResponsable" model.bind="item.Correo">${item.Nombre} ${item.Apellido} (${item.Correo})</option>
                </select>
            </div> 
            <div class="nine wide field">  
                <select class="ui fluid dropdown" value.bind="tarea.FiltroCategoria">
                    <option model.bind="0">Seleccionar Categoria</option>
                    <option repeat.for="item of categoria.ListadoCategorias" model.bind="item.Descripcion">${item.Descripcion}</option>
                </select>
            </div>
        </div> 
        <div class="fields">
            <div class="two wide field"> 
                    <label style="margin-top: 1em;">Fecha Inicio</label>
            </div>
            <div class="six wide field">
                <input type="date" value.bind="tarea.FiltroFechaInicio" maxlength="30">                                
            </div>
            <div class="two wide field"> 
                    <label style="margin-top: 1em;">Fecha Fin</label>
            </div>
            <div class="six wide field">
                <input type="date" value.bind="tarea.FiltroFechaFin" maxlength="30">                                
            </div>
        </div>

        <div class="column">
            <table class="top attached ui basic table">
                <thead>
                    <tr>
                    <th class="left aligned">Titulo</th>
                    <th class="left aligned">Responsble</th>
                    <th class="left aligned">Fecha Inicio</th>
                    <th class="left aligned">Fecha Fin</th>
                    <th class="left aligned">Categoria</th>
                    </tr>
                </thead>
                <tbody>
                    <tr repeat.for="item of tarea.LisTareasMostrar" if.bind="!item.Visible">
                        <td class="left aligned">${item.Titulo}</td>
                        <td class="left aligned">${item.Responsable}</td>
                        <td class="left aligned">${item.FechaInicio}</td>
                        <td class="left aligned">${item.FechaFin}</td>
                        <td class="left aligned">${item.Categoria}</td>
                    </tr>
                </tbody>
            </table>
        </div>                    
    </div>
</template>